LIBRARIAN=ilibr
OCCAM=oc
LINK=ilink
CONFIG=icconf
OCONFIG=occonf
COLLECT=icollect
CC=icc
DELETE=rm
LIBOPT=
OCCOPT=
LINKOPT=
CONFOPT=
OCONFOPT=
COLLECTOPT=
COPT=


##### IMAKEF CUT #####

ARMst.bah: ARMst.cah 
	$(COLLECT) ARMst.cah -t  -o ARMst.bah $(COLLECTOPT)

ARMst.cah: ARMst.lah ARMst.tah 
	$(LINK) -f ARMst.lah -ta -h -o ARMst.cah $(LINKOPT)

ARMst.tah: ARMst.occ /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
           /usr/r2/users/psf/toolset/libs/hostio.inc \
           /usr/r2/users/psf/toolset/libs/hostio.lib \
           /usr/r2/users/psf/toolset/libs/hostio.liu \
           /usr/r2/users/psf/toolset/libs/convert.lib \
           /home/amu5/users/georget/Phd/Simul/Simseq/ARMstCore/ARMstCore.tah \
           /home/amu5/users/georget/Phd/Simul/Memory/Mem.tah \
           /home/amu5/users/georget/Phd/Simul/Simseq/IOprocess.tah 
	$(OCCAM) ARMst -ta -h -o ARMst.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Simseq/ARMstCore/ARMstCore.tah: \
                                                                  /home/amu5/users/georget/Phd/Simul/Simseq/ARMstCore/ARMstCore.occ \
                                                                  /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                                  /home/amu5/users/georget/Phd/Simul/library.tah \
                                                                  /home/amu5/users/georget/Phd/Simul/Dec1/Dec1.tah \
                                                                  /home/amu5/users/georget/Phd/Simul/Decode2/Decode2.tah \
                                                                  /home/amu5/users/georget/Phd/Simul/Decode3/Decode3.tah \
                                                                  /home/amu5/users/georget/Phd/Simul/Reg/Reg.tah \
                                                                  /home/amu5/users/georget/Phd/Simul/WrtCtrl/WrtCtrl.tah \
                                                                  /home/amu5/users/georget/Phd/Simul/DatInt/DatInt.tah \
                                                                  /home/amu5/users/georget/Phd/Simul/AddInt/AddInt.tah \
                                                                  /home/amu5/users/georget/Phd/Simul/IMMPipe/IMMPipe.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Simseq/ARMstCore/ARMstCore -ta -h -o /home/amu5/users/georget/Phd/Simul/Simseq/ARMstCore/ARMstCore.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/library.tah: \
                                               /home/amu5/users/georget/Phd/Simul/library.occ \
                                               /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                               /usr/r2/users/psf/toolset/libs/string.lib \
                                               /usr/r2/users/psf/toolset/libs/string.liu \
                                               /usr/r2/users/psf/toolset/libs/convert.lib 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/library -ta -h -o /home/amu5/users/georget/Phd/Simul/library.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Dec1/Dec1.tah: \
                                                 /home/amu5/users/georget/Phd/Simul/Dec1/Dec1.occ \
                                                 /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                 /home/amu5/users/georget/Phd/Simul/library.tah \
                                                 /home/amu5/users/georget/Phd/Simul/Dec1/Dec1CtrlA.tah \
                                                 /home/amu5/users/georget/Phd/Simul/Dec1/Dec1CtrlB.tah \
                                                 /home/amu5/users/georget/Phd/Simul/Dec1/RdGen.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Dec1/Dec1 -ta -h -o /home/amu5/users/georget/Phd/Simul/Dec1/Dec1.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Dec1/Dec1CtrlA.tah: \
                                                      /home/amu5/users/georget/Phd/Simul/Dec1/Dec1CtrlA.occ \
                                                      /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                      /home/amu5/users/georget/Phd/Simul/PLA/XcpC.inc \
                                                      /home/amu5/users/georget/Phd/Simul/library.tah \
                                                      /usr/r2/users/psf/toolset/libs/debug.lib 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Dec1/Dec1CtrlA -ta -h -o /home/amu5/users/georget/Phd/Simul/Dec1/Dec1CtrlA.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Dec1/Dec1CtrlB.tah: \
                                                      /home/amu5/users/georget/Phd/Simul/Dec1/Dec1CtrlB.occ \
                                                      /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                      /home/amu5/users/georget/Phd/Simul/PLA/RegC.inc \
                                                      /home/amu5/users/georget/Phd/Simul/PLA/PslC.inc \
                                                      /home/amu5/users/georget/Phd/Simul/PLA/NbsC.inc \
                                                      /home/amu5/users/georget/Phd/Simul/PLA/SeqC.inc \
                                                      /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Dec1/Dec1CtrlB -ta -h -o /home/amu5/users/georget/Phd/Simul/Dec1/Dec1CtrlB.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Dec1/RdGen.tah: \
                                                  /home/amu5/users/georget/Phd/Simul/Dec1/RdGen.occ \
                                                  /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                  /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Dec1/RdGen -ta -h -o /home/amu5/users/georget/Phd/Simul/Dec1/RdGen.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Decode2/Decode2.tah: \
                                                       /home/amu5/users/georget/Phd/Simul/Decode2/Decode2.occ \
                                                       /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                       /home/amu5/users/georget/Phd/Simul/library.tah \
                                                       /home/amu5/users/georget/Phd/Simul/Decode2/Ctrl2.tah \
                                                       /home/amu5/users/georget/Phd/Simul/Decode2/Dec2.tah \
                                                       /home/amu5/users/georget/Phd/Simul/Decode2/NGen.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Decode2/Decode2 -ta -h -o /home/amu5/users/georget/Phd/Simul/Decode2/Decode2.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Decode2/Ctrl2.tah: \
                                                     /home/amu5/users/georget/Phd/Simul/Decode2/Ctrl2.occ \
                                                     /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                     /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Decode2/Ctrl2 -ta -h -o /home/amu5/users/georget/Phd/Simul/Decode2/Ctrl2.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Decode2/Dec2.tah: \
                                                    /home/amu5/users/georget/Phd/Simul/Decode2/Dec2.occ \
                                                    /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                    /home/amu5/users/georget/Phd/Simul/PLA/ShfC.inc \
                                                    /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Decode2/Dec2 -ta -h -o /home/amu5/users/georget/Phd/Simul/Decode2/Dec2.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Decode2/NGen.tah: \
                                                    /home/amu5/users/georget/Phd/Simul/Decode2/NGen.occ \
                                                    /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                    /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Decode2/NGen -ta -h -o /home/amu5/users/georget/Phd/Simul/Decode2/NGen.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Decode3/Decode3.tah: \
                                                       /home/amu5/users/georget/Phd/Simul/Decode3/Decode3.occ \
                                                       /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                       /home/amu5/users/georget/Phd/Simul/library.tah \
                                                       /home/amu5/users/georget/Phd/Simul/Decode3/Dec3.tah \
                                                       /home/amu5/users/georget/Phd/Simul/Decode3/Ctrl3.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Decode3/Decode3 -ta -h -o /home/amu5/users/georget/Phd/Simul/Decode3/Decode3.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Decode3/Dec3.tah: \
                                                    /home/amu5/users/georget/Phd/Simul/Decode3/Dec3.occ \
                                                    /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                    /home/amu5/users/georget/Phd/Simul/PLA/AluC.inc \
                                                    /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Decode3/Dec3 -ta -h -o /home/amu5/users/georget/Phd/Simul/Decode3/Dec3.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Decode3/Ctrl3.tah: \
                                                     /home/amu5/users/georget/Phd/Simul/Decode3/Ctrl3.occ \
                                                     /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                     /home/amu5/users/georget/Phd/Simul/PLA/Mode.inc \
                                                     /home/amu5/users/georget/Phd/Simul/PLA/CondC.inc \
                                                     /home/amu5/users/georget/Phd/Simul/PLA/CPmxC.inc \
                                                     /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Decode3/Ctrl3 -ta -h -o /home/amu5/users/georget/Phd/Simul/Decode3/Ctrl3.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Reg/Reg.tah: \
                                               /home/amu5/users/georget/Phd/Simul/Reg/Reg.occ \
                                               /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                               /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Reg/Reg -ta -h -o /home/amu5/users/georget/Phd/Simul/Reg/Reg.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/WrtCtrl/WrtCtrl.tah: \
                                                       /home/amu5/users/georget/Phd/Simul/WrtCtrl/WrtCtrl.occ \
                                                       /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                       /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/WrtCtrl/WrtCtrl -ta -h -o /home/amu5/users/georget/Phd/Simul/WrtCtrl/WrtCtrl.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/DatInt/DatInt.tah: \
                                                     /home/amu5/users/georget/Phd/Simul/DatInt/DatInt.occ \
                                                     /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                     /home/amu5/users/georget/Phd/Simul/library.tah \
                                                     /usr/r2/users/psf/toolset/libs/debug.lib 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/DatInt/DatInt -ta -h -o /home/amu5/users/georget/Phd/Simul/DatInt/DatInt.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/AddInt/AddInt.tah: \
                                                     /home/amu5/users/georget/Phd/Simul/AddInt/AddInt.occ \
                                                     /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                     /home/amu5/users/georget/Phd/Simul/library.tah \
                                                     /home/amu5/users/georget/Phd/Simul/AddInt/AddressInt.tah \
                                                     /home/amu5/users/georget/Phd/Simul/AddInt/AddC.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/AddInt/AddInt -ta -h -o /home/amu5/users/georget/Phd/Simul/AddInt/AddInt.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/AddInt/AddressInt.tah: \
                                                         /home/amu5/users/georget/Phd/Simul/AddInt/AddressInt.occ \
                                                         /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                         /home/amu5/users/georget/Phd/Simul/library.tah \
                                                         /usr/r2/users/psf/toolset/libs/debug.lib 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/AddInt/AddressInt -ta -h -o /home/amu5/users/georget/Phd/Simul/AddInt/AddressInt.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/AddInt/AddC.tah: \
                                                   /home/amu5/users/georget/Phd/Simul/AddInt/AddC.occ \
                                                   /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                   /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/AddInt/AddC -ta -h -o /home/amu5/users/georget/Phd/Simul/AddInt/AddC.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/IMMPipe/IMMPipe.tah: \
                                                       /home/amu5/users/georget/Phd/Simul/IMMPipe/IMMPipe.occ \
                                                       /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                       /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/IMMPipe/IMMPipe -ta -h -o /home/amu5/users/georget/Phd/Simul/IMMPipe/IMMPipe.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Memory/Mem.tah: \
                                                  /home/amu5/users/georget/Phd/Simul/Memory/Mem.occ \
                                                  /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                  /usr/r2/users/psf/toolset/libs/hostio.inc \
                                                  /usr/r2/users/psf/toolset/libs/hostio.lib \
                                                  /usr/r2/users/psf/toolset/libs/hostio.liu \
                                                  /usr/r2/users/psf/toolset/libs/convert.lib \
                                                  /usr/r2/users/psf/toolset/libs/debug.lib \
                                                  /usr/r2/users/psf/toolset/libs/string.lib \
                                                  /usr/r2/users/psf/toolset/libs/string.liu \
                                                  /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Memory/Mem -ta -h -o /home/amu5/users/georget/Phd/Simul/Memory/Mem.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Simseq/IOprocess.tah: \
                                                        /home/amu5/users/georget/Phd/Simul/Simseq/IOprocess.occ \
                                                        /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                        /usr/r2/users/psf/toolset/libs/hostio.inc \
                                                        /usr/r2/users/psf/toolset/libs/hostio.lib \
                                                        /usr/r2/users/psf/toolset/libs/hostio.liu \
                                                        /usr/r2/users/psf/toolset/libs/convert.lib \
                                                        /usr/r2/users/psf/toolset/libs/debug.lib \
                                                        /usr/r2/users/psf/toolset/libs/string.lib \
                                                        /usr/r2/users/psf/toolset/libs/string.liu \
                                                        /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Simseq/IOprocess -ta -h -o /home/amu5/users/georget/Phd/Simul/Simseq/IOprocess.tah $(OCCOPT)

